using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using Muzzle.Class;

namespace Muzzle
{
    /// <summary>
    /// Логика взаимодействия для Add.xaml
    /// </summary>
    public partial class Add : Window
    {
        public static class Products
        {
            public static Frame frm;
        }
        public Add()
        {
            InitializeComponent();

        }

        private void btnNaz_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }

        private void btnNaz_Click_1(object sender, RoutedEventArgs e)
        {

        }

        private void btnDob_Click(object sender, RoutedEventArgs e)
        {
     
            BaseConnect.baseConnect.SaveChanges();//сонхронизировать с сервером
            //создаем запись в таблице Users, соответствующую данной                 
            Product data = new Product();
            data.ArticleNumber = Art.Text;
            data.Title = Title.Text;
            //data.dr = dateBirth.SelectedDate.Value;
            //data.gender = (int)listGenders.SelectedValue;
            BaseConnect.baseConnect.Product.Add(data);
            BaseConnect.baseConnect.SaveChanges();
            MessageBox.Show("Данные записаны успешно");//обратная связь с пользователем
        }
    }
}
